> For the complete documentation index, see [llms.txt](https://docs.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vectra.ai/configuration/access/external-authentication-qux/tacacs-qux.md).

# TACACS+ (QUX)

Vectra Cognito's TACACS+ Authentication supports the following protocols:

* PAP
* CHAP

NOTE: ASCII, MSCHAPv1 and MSCHAPv2 authentication methods are not currently supported.

### Setup TACACS+ Profile

To configure browse to **Manage - External Authentication -** **TACACS+ Profiles - Create**

Provide the following required fields and the correct protocol.

![](/files/hGmkBtOYxvd4QLX8jVRR)

Click on **Create** and you should see a message "TACACS profile created!"

Once the Profile has been created you should assign users to this profile.

You can create new users under **Manage - Users** or use the API to migrate users to the new profile. At this time the web interface cannot be used to migrate existing users to a new authentication method without first deleting and recreating the users.

### Steps to migrate existing users to TACACS+ profile via REST API

Send a PATCH request to:

```
URL: https://<mgt_ip>/api/v2/users/<id>
Headers : "Authorization": "Token <api-key>"" "Content-Type": "application/json"
Body: {"account_type": "TACACS", "authentication_profile": "tacacs-profile"}
```

For more information regarding using the REST API go to **Resources - REST API Guide**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vectra.ai/configuration/access/external-authentication-qux/tacacs-qux.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
